## mafft 6.240

=== src/Makefile ===
PREFIX = /usr/local/lib/mafft
#CC = gcc  -O0  -g -pg 
CC = gcc -O3
#CC = gcc    -mno-cygwin -O3 # for cygwin
#CC = icc -fast              # for icc on Intel
#CC = icc -O3 -ipo -static   # for icc on AMD
#CC = gcc -fast
#CC = gcc  -g -O0 -pg 
LIBS = -lm 

INSTALL = install

PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairalign pairlocalalign \
		pair2hat3s multi2hat3s \
        splittbfast disttbfast tbfast mafft-profile f2cl countlen \
		score getlag dndpre dndpre2 setcore
SCRIPTS = mafft mafft-homologs.rb
OBJCOUNTLEN = mtxutl.o io.o countlen.o defs.o
OBJF2CL = mtxutl.o io.o f2cl.o constants.o defs.o
OBJMULTI2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				 multi2hat3s.o defs.o fft.o fftFunctions.o
OBJPAIR2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				pair2hat3s.o defs.o fft.o fftFunctions.o
OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o VAAalign11.o genalign11.o Lalign11.o SAalignmm.o \
					Calignm1.o pairlocalalign.o defs.o fft.o fftFunctions.o
OBJPAIRALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		            Galign11.o Falign.o Falign_localhom.o Salign11.o SAalignmm.o Calignm1.o \
			        MSalignmm.o pairalign.o defs.o fft.o fftFunctions.o
OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o defs.o fft.o fftFunctions.o
OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			disttbfast.o defs.o fft.o fftFunctions.o
OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o \
			tbfast.o defs.o fft.o fftFunctions.o
OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o \
			tbfast2.o defs.o fft.o fftFunctions.o
OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			setcore.o defs.o fft.o fftFunctions.o
OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		   Calignm1.o Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o \
		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
			Calignm1.o Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o \
			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o
OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			getlag.o defs.o fft.o fftFunctions.o
OBJGAPFILL = mtxutl.o io.o constants.o gapfill.o defs.o
OBJDNDFAST5 = dndfast5.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDBLAST = dndblast.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST7 = dndfast7.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST4 = dndfast4.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJSEXTET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o sextet5.o defs.o
OBJDISTANCE = io.o constants.o mtxutl.o mltaln9.o tddis.o mafft-distance.o defs.o
OBJTRIPLET6 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet6.o defs.o
OBJTRIPLET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet5.o defs.o
OBJOCTET4 = io.o constants.o mtxutl.o mltaln9.o tddis.o octet4.o defs.o
OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJDNDPRESCORE = dndpre2.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o MSalignmm.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
          Calignm1.o SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o

HEADER = mltaln.h mtxutl.h
DPHEADER = dp.h
FFTHEADER = fft.h


#CFLAG =  -Wunused -Wreturn-type -Wshadow -pg -pedantic
#CFLAG =   -ansi -pedantic

all : $(PROGS) $(SCRIPTS)
	cp $(SCRIPTS) ../scripts
	chmod 755 ../scripts/*
	cp $(PROGS) ../binaries
	chmod 755 ../binaries/*
	@echo done.

univscript: univscript.tmpl Makefile
	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript

mafft: mafft.tmpl
	sed "s:_PREFIX:$(PREFIX):" mafft.tmpl  > mafft

mafft-homologs.rb: mafft-homologs.tmpl
	cp mafft-homologs.tmpl mafft-homologs.rb

mltaln.h : functions.h
	touch mltaln.h

ord : $(OBJORD)
	$(CC) -o $@ $(OBJORD) $(CFLAG) $(LIBS)

tbfast : $(OBJTBFAST)
	$(CC) -o $@ $(OBJTBFAST) $(CFLAG) $(LIBS)

tbfast2 : $(OBJTBFAST2)
	$(CC) -o $@ $(OBJTBFAST2) $(CFLAG) $(LIBS)

disttbfast : $(OBJDISTTBFAST)
	$(CC) -o $@ $(OBJDISTTBFAST) $(CFLAG) $(LIBS)

splittbfast : $(OBJSPLITTBFAST)
	$(CC) -o $@ $(OBJSPLITTBFAST) $(CFLAG) $(LIBS)

splitfromaln : $(OBJSPLITFROMALN)
	$(CC) -o $@ $(OBJSPLITFROMALN) $(CFLAG) $(LIBS)

splittbfast2 : $(OBJSPLITTBFAST2)
	$(CC) -o $@ $(OBJSPLITTBFAST2) $(CFLAG) $(LIBS)

dummy : $(OBJDUMMY)
	$(CC) -o $@ $(OBJDUMMY) $(CFLAG) $(LIBS)

setcore : $(OBJSETCORE)
	$(CC) -o $@ $(OBJSETCORE) $(CFLAG) $(LIBS)

countlen : $(OBJCOUNTLEN)
	$(CC) -o $@ $(OBJCOUNTLEN) $(CFLAG) $(LIBS)

f2cl : $(OBJF2CL)
	$(CC) -o $@ $(OBJF2CL) $(CFLAG) $(LIBS)

pairlocalalign : $(OBJPAIRLOCALALIGN)
	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(CFLAG) $(LIBS)

pair2hat3s : $(OBJPAIR2HAT3S)
	$(CC) -o $@ $(OBJPAIR2HAT3S) $(CFLAG) $(LIBS)

multi2hat3s : $(OBJMULTI2HAT3S)
	$(CC) -o $@ $(OBJMULTI2HAT3S) $(CFLAG) $(LIBS)

pairalign : $(OBJPAIRALIGN)
	$(CC) -o $@ $(OBJPAIRALIGN) $(CFLAG) $(LIBS)

getlag : $(OBJGETLAG)
	$(CC) -o $@ $(OBJGETLAG) $(CFLAG) $(LIBS)

tditr : $(OBJTDITR)
	$(CC) -o $@ $(OBJTDITR) $(CFLAG) $(LIBS)

dvtditr : $(OBJDVTDITR)
	$(CC) -o $@ $(OBJDVTDITR) $(CFLAG) $(LIBS)

mafft-profile : $(OBJGALN)
	$(CC) -o $@ $(OBJGALN) $(CFLAG) $(LIBS)

gapfill : $(OBJGAPFILL)
	$(CC) -o $@ $(OBJGAPFILL) $(CFLAG) $(LIBS)

dndfast4 : $(OBJDNDFAST4)
	$(CC) -o $@ $(OBJDNDFAST4) $(CFLAG) $(LIBS)

dndfast5 : $(OBJDNDFAST5)
	$(CC) -o $@ $(OBJDNDFAST5) $(CFLAG) $(LIBS)

dndfast6 : $(OBJDNDFAST6)
	$(CC) -o $@ $(OBJDNDFAST6) $(CFLAG) $(LIBS)

dndfast7 : $(OBJDNDFAST7)
	$(CC) -o $@ $(OBJDNDFAST7) $(CFLAG) $(LIBS)

dndblast : $(OBJDNDBLAST)
	$(CC) -o $@ $(OBJDNDBLAST) $(CFLAG) $(LIBS)

dndfast3 : $(OBJDNDFAST3)
	$(CC) -o $@ $(OBJDNDFAST3) $(CFLAG) $(LIBS)

triplet : $(OBJTRIPLET)
	$(CC) -o $@ $(OBJTRIPLET) $(CFLAG) $(LIBS)

triplet3 : $(OBJTRIPLET3)
	$(CC) -o $@ $(OBJTRIPLET3) $(CFLAG) $(LIBS)

sextet3 : $(OBJSEXTET3)
	$(CC) -o $@ $(OBJSEXTET3) $(CFLAG) $(LIBS)

sextet4 : $(OBJSEXTET4)
	$(CC) -o $@ $(OBJSEXTET4) $(CFLAG) $(LIBS)

sextet5 : $(OBJSEXTET5)
	$(CC) -o $@ $(OBJSEXTET5) $(CFLAG) $(LIBS)

mafft-distance : $(OBJDISTANCE)
	$(CC) -o $@ $(OBJDISTANCE) $(CFLAG) $(LIBS)

triplet5 : $(OBJTRIPLET5)
	$(CC) -o $@ $(OBJTRIPLET5) $(CFLAG) $(LIBS)

triplet6 : $(OBJTRIPLET6)
	$(CC) -o $@ $(OBJTRIPLET6) $(CFLAG) $(LIBS)

octet4 : $(OBJOCTET4)
	$(CC) -o $@ $(OBJOCTET4) $(CFLAG) $(LIBS)

dndpre : $(OBJDNDPRE)
	$(CC) -o $@ $(OBJDNDPRE) $(CFLAG) $(LIBS)

dndpre2 : $(OBJDNDPRESCORE)
	$(CC) -o $@ $(OBJDNDPRESCORE) $(CFLAG) $(LIBS)

score : $(OBJSCORE)
	$(CC) -o $@ $(OBJSCORE) $(CFLAG) $(LIBS)

genMtx : $(OBJGENMTX)
	$(CC) -o $@ $(OBJGENMTX) $(CFLAG) $(LIBS)

gapfill.o : gapfill.c $(HEADER)
	$(CC) $(CFLAG) -c gapfill.c

mltaln9.o : mltaln9.c $(HEADER)
	$(CC) $(CFLAG) -c mltaln9.c

tddis.o : tddis.c $(HEADER)
	$(CC) $(CFLAG) -c tddis.c

constants.o : constants.c miyata.h miyata5.h blosum.c DNA.h JTT.c $(HEADER)
	$(CC) $(CFLAG) -c constants.c

defs.o : defs.c 
	$(CC) $(CFLAG) -c defs.c

Calignm1.o : Calignm1.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Calignm1.c

#A+++alignmm.o : SA+++alignmm.c $(HEADER) $(DPHEADER)
#	$(CC) $(CFLAG) -c SA+++alignmm.c -o A+++alignmm.o

Salignmm.o : Salignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Salignmm.c 

Halignmm.o : Halignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Halignmm.c 

Ralignmm.o : Ralignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Ralignmm.c 

Qalignmm.o : Qalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Qalignmm.c 

MSalignmm.o : MSalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c MSalignmm.c 

partSalignmm.o : partSalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c partSalignmm.c  

partQalignmm.o : partQalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c partQalignmm.c  

Salign11.o : Salign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Salign11.c -o Salign11.o

Lalign11.o : Lalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Lalign11.c 

genalign11.o : genalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c genalign11.c 

suboptalign11.o : suboptalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c suboptalign11.c 

VAAalign11.o : VAAalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c VAAalign11.c 

Galign11.o : Galign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c Galign11.c 

MSalign11.o : MSalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c MSalign11.c 

SAalignmm.o : SAalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAG) -c SAalignmm.c -o SAalignmm.o

ord.o : ord.c $(HEADER)
	$(CC) $(CFLAG) -c ord.c

1itr.o : 1itr.c $(HEADER)
	$(CC) $(CFLAG) -c 1itr.c

tb.o : tb.c $(HEADER)
	$(CC) $(CFLAG) -c tb.c

disttbfast.o : disttbfast.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c disttbfast.c

splitfromaln.o : splitfromaln.c $(HEADER) $(FFTHEADER) 
	$(CC) $(CFLAG) -c splitfromaln.c

splittbfast.o : splittbfast.c $(HEADER) $(FFTHEADER) 
	$(CC) $(CFLAG) -c splittbfast.c

splittbfast2.o : splittbfast2.c $(HEADER) $(FFTHEADER) 
	$(CC) $(CFLAG) -c splittbfast2.c

disttbfast_dummy.o : disttbfast_dummy.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c disttbfast_dummy.c

dummy.o : dummy.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c dummy.c

tbfast.o : tbfast.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c tbfast.c

tbfast2.o : tbfast2.c $(HEADER) $(FFTHEADER)
	$(CC) $(CFLAG) -c tbfast2.c

setcore.o : setcore.c $(HEADER) $(FFTHEADER)

## mafft 6.717

=== core/Makefile ===
PREFIX = /usr/local
LIBDIR = $(PREFIX)/lib/mafft
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man/man1

#MNO_CYGWIN = -mno-cygwin

CC = gcc

#CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
CFLAGS = -O3 $(MNO_CYGWIN)
#CFLAGS =  -mno-cygwin -O3 # for cygwin
#CFLAGS =  -fast -static      # for icc on Intel
#CFLAGS =  -O3 -ipo -static   # for icc on AMD
#CFLAGS =  -fast
#CFLAGS =  -g -O0 -pg 
#CFLAGS =   -ansi -pedantic
LIBS = -lm 

INSTALL = install

PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
		pair2hat3s multi2hat3s rnatest pairash \
        splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
		seq2regtable regtable2seq score getlag dndpre dndpre2 setcore 
SCRIPTS = mafft mafft-homologs.rb
OBJREGTABLE2SEQ = mtxutl.o io.o regtable2seq.o defs.o mltaln9.o
OBJSEQ2REGTABLE = mtxutl.o io.o seq2regtable.o defs.o
OBJCOUNTLEN = mtxutl.o io.o countlen.o defs.o
OBJF2CL = mtxutl.o io.o f2cl.o constants.o defs.o
OBJMCCASKILLWRAP = mtxutl.o io.o mccaskillwrap.o constants.o defs.o mltaln9.o
OBJCONTRAFOLDWRAP = mtxutl.o io.o contrafoldwrap.o constants.o defs.o mltaln9.o
OBJMULTI2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				 multi2hat3s.o defs.o fft.o fftFunctions.o
OBJPAIR2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				pair2hat3s.o defs.o fft.o fftFunctions.o
OBJRNATEST = mtxutl.o io.o mltaln9.o tddis.o constants.o Lalignmm.o \
			 rna.o rnatest.o defs.o fft.o fftFunctions.o
OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
			 Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genGalign11.o genalign11.o Lalign11.o SAalignmm.o \
			 Calignm1.o pairash.o defs.o fft.o fftFunctions.o
OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genGalign11.o genalign11.o Lalign11.o SAalignmm.o \
					Calignm1.o pairlocalalign.o defs.o fft.o fftFunctions.o
OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			Lalign11.o defs.o fft.o fftFunctions.o
OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			disttbfast.o defs.o fft.o fftFunctions.o
OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o  \
			tbfast.o defs.o fft.o fftFunctions.o
OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o \
			tbfast2.o defs.o fft.o fftFunctions.o
OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			setcore.o defs.o fft.o fftFunctions.o
OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		   Calignm1.o Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o  \
		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
			Calignm1.o Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o
OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
			getlag.o defs.o fft.o fftFunctions.o
OBJGAPFILL = mtxutl.o io.o constants.o gapfill.o defs.o
OBJDNDFAST5 = dndfast5.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDBLAST = dndblast.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST7 = dndfast7.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST4 = dndfast4.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJSEXTET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o sextet5.o defs.o
OBJDISTANCE = io.o constants.o mtxutl.o mltaln9.o tddis.o mafft-distance.o defs.o
OBJTRIPLET6 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet6.o defs.o
OBJTRIPLET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet5.o defs.o
OBJOCTET4 = io.o constants.o mtxutl.o mltaln9.o tddis.o octet4.o defs.o
OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJDNDPRESCORE = dndpre2.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
          Calignm1.o SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o

HEADER = mltaln.h mtxutl.h
DPHEADER = dp.h
FFTHEADER = fft.h

MANPAGES = mafft.1 mafft-homologs.1



all : $(PROGS) $(SCRIPTS)
	cp $(SCRIPTS) ../scripts
	chmod 755 ../scripts/*
	cp $(PROGS) $(MANPAGES) ../binaries
	chmod 755 ../binaries/*
	@echo done.

univscript: univscript.tmpl Makefile
	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript

mafft: mafft.tmpl
	sed "s:_LIBDIR:$(LIBDIR):" mafft.tmpl  > mafft

mafft-homologs.rb: mafft-homologs.tmpl
#	cp mafft-homologs.tmpl mafft-homologs.rb
	sed "s:_BINDIR:$(BINDIR):" mafft-homologs.tmpl  > mafft-homologs.rb

mltaln.h : functions.h
	touch mltaln.h

ord : $(OBJORD)
	$(CC) -o $@ $(OBJORD) $(CFLAGS) $(LIBS)

tbfast : $(OBJTBFAST)
	$(CC) -o $@ $(OBJTBFAST) $(CFLAGS) $(LIBS)

tbfast2 : $(OBJTBFAST2)
	$(CC) -o $@ $(OBJTBFAST2) $(CFLAGS) $(LIBS)

disttbfast : $(OBJDISTTBFAST)
	$(CC) -o $@ $(OBJDISTTBFAST) $(CFLAGS) $(LIBS)

splittbfast : $(OBJSPLITTBFAST)
	$(CC) -o $@ $(OBJSPLITTBFAST) $(CFLAGS) $(LIBS)

splitfromaln : $(OBJSPLITFROMALN)
	$(CC) -o $@ $(OBJSPLITFROMALN) $(CFLAGS) $(LIBS)

splittbfast2 : $(OBJSPLITTBFAST2)
	$(CC) -o $@ $(OBJSPLITTBFAST2) $(CFLAGS) $(LIBS)

dummy : $(OBJDUMMY)
	$(CC) -o $@ $(OBJDUMMY) $(CFLAGS) $(LIBS)

setcore : $(OBJSETCORE)
	$(CC) -o $@ $(OBJSETCORE) $(CFLAGS) $(LIBS)

countlen : $(OBJCOUNTLEN)
	$(CC) -o $@ $(OBJCOUNTLEN) $(CFLAGS) $(LIBS)

seq2regtable : $(OBJSEQ2REGTABLE)
	$(CC) -o $@ $(OBJSEQ2REGTABLE) $(CFLAGS) $(LIBS)

regtable2seq : $(OBJREGTABLE2SEQ)
	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(CFLAGS) $(LIBS)

f2cl : $(OBJF2CL)
	$(CC) -o $@ $(OBJF2CL) $(CFLAGS) $(LIBS)

mccaskillwrap : $(OBJMCCASKILLWRAP)
	$(CC) -o $@ $(OBJMCCASKILLWRAP) $(CFLAGS) $(LIBS)

contrafoldwrap : $(OBJCONTRAFOLDWRAP)
	$(CC) -o $@ $(OBJCONTRAFOLDWRAP) $(CFLAGS) $(LIBS)

pairlocalalign : $(OBJPAIRLOCALALIGN)
	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(CFLAGS) $(LIBS)

pairash : $(OBJPAIRASH)
	$(CC) -o $@ $(OBJPAIRASH) $(CFLAGS) $(LIBS)

rnatest : $(OBJRNATEST)
	$(CC) -o $@ $(OBJRNATEST) $(CFLAGS) $(LIBS)

pair2hat3s : $(OBJPAIR2HAT3S)
	$(CC) -o $@ $(OBJPAIR2HAT3S) $(CFLAGS) $(LIBS)

multi2hat3s : $(OBJMULTI2HAT3S)
	$(CC) -o $@ $(OBJMULTI2HAT3S) $(CFLAGS) $(LIBS)

getlag : $(OBJGETLAG)
	$(CC) -o $@ $(OBJGETLAG) $(CFLAGS) $(LIBS)

tditr : $(OBJTDITR)
	$(CC) -o $@ $(OBJTDITR) $(CFLAGS) $(LIBS)

dvtditr : $(OBJDVTDITR)
	$(CC) -o $@ $(OBJDVTDITR) $(CFLAGS) $(LIBS)

mafft-profile : $(OBJGALN)
	$(CC) -o $@ $(OBJGALN) $(CFLAGS) $(LIBS)

gapfill : $(OBJGAPFILL)
	$(CC) -o $@ $(OBJGAPFILL) $(CFLAGS) $(LIBS)

dndfast4 : $(OBJDNDFAST4)
	$(CC) -o $@ $(OBJDNDFAST4) $(CFLAGS) $(LIBS)

dndfast5 : $(OBJDNDFAST5)
	$(CC) -o $@ $(OBJDNDFAST5) $(CFLAGS) $(LIBS)

dndfast6 : $(OBJDNDFAST6)
	$(CC) -o $@ $(OBJDNDFAST6) $(CFLAGS) $(LIBS)

dndfast7 : $(OBJDNDFAST7)
	$(CC) -o $@ $(OBJDNDFAST7) $(CFLAGS) $(LIBS)

dndblast : $(OBJDNDBLAST)
	$(CC) -o $@ $(OBJDNDBLAST) $(CFLAGS) $(LIBS)

dndfast3 : $(OBJDNDFAST3)
	$(CC) -o $@ $(OBJDNDFAST3) $(CFLAGS) $(LIBS)

triplet : $(OBJTRIPLET)
	$(CC) -o $@ $(OBJTRIPLET) $(CFLAGS) $(LIBS)

triplet3 : $(OBJTRIPLET3)
	$(CC) -o $@ $(OBJTRIPLET3) $(CFLAGS) $(LIBS)

sextet3 : $(OBJSEXTET3)
	$(CC) -o $@ $(OBJSEXTET3) $(CFLAGS) $(LIBS)

sextet4 : $(OBJSEXTET4)
	$(CC) -o $@ $(OBJSEXTET4) $(CFLAGS) $(LIBS)

sextet5 : $(OBJSEXTET5)
	$(CC) -o $@ $(OBJSEXTET5) $(CFLAGS) $(LIBS)

mafft-distance : $(OBJDISTANCE)
	$(CC) -o $@ $(OBJDISTANCE) $(CFLAGS) $(LIBS)

triplet5 : $(OBJTRIPLET5)
	$(CC) -o $@ $(OBJTRIPLET5) $(CFLAGS) $(LIBS)

triplet6 : $(OBJTRIPLET6)
	$(CC) -o $@ $(OBJTRIPLET6) $(CFLAGS) $(LIBS)

octet4 : $(OBJOCTET4)
	$(CC) -o $@ $(OBJOCTET4) $(CFLAGS) $(LIBS)

dndpre : $(OBJDNDPRE)
	$(CC) -o $@ $(OBJDNDPRE) $(CFLAGS) $(LIBS)

dndpre2 : $(OBJDNDPRESCORE)
	$(CC) -o $@ $(OBJDNDPRESCORE) $(CFLAGS) $(LIBS)

score : $(OBJSCORE)
	$(CC) -o $@ $(OBJSCORE) $(CFLAGS) $(LIBS)

genMtx : $(OBJGENMTX)
	$(CC) -o $@ $(OBJGENMTX) $(CFLAGS) $(LIBS)

gapfill.o : gapfill.c $(HEADER)
	$(CC) $(CFLAGS) -c gapfill.c

mltaln9.o : mltaln9.c $(HEADER)
	$(CC) $(CFLAGS) -c mltaln9.c

tddis.o : tddis.c $(HEADER)
	$(CC) $(CFLAGS) -c tddis.c

constants.o : constants.c miyata.h miyata5.h blosum.c DNA.h JTT.c $(HEADER)
	$(CC) $(CFLAGS) -c constants.c

defs.o : defs.c 
	$(CC) $(CFLAGS) -c defs.c

Calignm1.o : Calignm1.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c Calignm1.c

#A+++alignmm.o : SA+++alignmm.c $(HEADER) $(DPHEADER)
#	$(CC) $(CFLAGS) -c SA+++alignmm.c -o A+++alignmm.o

Salignmm.o : Salignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c Salignmm.c 

Halignmm.o : Halignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c Halignmm.c 

Ralignmm.o : Ralignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c Ralignmm.c 

Qalignmm.o : Qalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c Qalignmm.c 

MSalignmm.o : MSalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c MSalignmm.c 

partSalignmm.o : partSalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c partSalignmm.c  

partQalignmm.o : partQalignmm.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c partQalignmm.c  

Lalign11.o : Lalign11.c $(HEADER) $(DPHEADER)
	$(CC) $(CFLAGS) -c Lalign11.c 

genalign11.o : genalign11.c $(HEADER) $(DPHEADER)

## mafft 6.815

=== core/Makefile ===
--- 
+++ 
@@ -5,17 +5,25 @@
 
 #MNO_CYGWIN = -mno-cygwin
 
+#ENABLE_MULTITHREAD = -Denablemultithread
+#Uncomment this to enable multithreading (linux only)
+
 CC = gcc
 
-#CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
-CFLAGS = -O3 $(MNO_CYGWIN)
+#CFLAGS =  -O0  -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3 $(ENABLE_MULTITHREAD)
+CFLAGS = -O3 $(MNO_CYGWIN) $(ENABLE_MULTITHREAD)
 #CFLAGS =  -mno-cygwin -O3 # for cygwin
 #CFLAGS =  -fast -static      # for icc on Intel
 #CFLAGS =  -O3 -ipo -static   # for icc on AMD
 #CFLAGS =  -fast
 #CFLAGS =  -g -O0 -pg 
 #CFLAGS =   -ansi -pedantic
-LIBS = -lm 
+
+ifeq ($(ENABLE_MULTITHREAD),-Denablemultithread)
+LIBS = -lm  -lpthread
+else
+LIBS = -lm
+endif
 
 INSTALL = install
 
@@ -38,45 +46,45 @@
 			 rna.o rnatest.o defs.o fft.o fftFunctions.o
 OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 			 Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genGalign11.o genalign11.o Lalign11.o SAalignmm.o \
-			 Calignm1.o pairash.o defs.o fft.o fftFunctions.o
+			 pairash.o defs.o fft.o fftFunctions.o
 OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genGalign11.o genalign11.o Lalign11.o SAalignmm.o \
-					Calignm1.o pairlocalalign.o defs.o fft.o fftFunctions.o
+					pairlocalalign.o defs.o fft.o fftFunctions.o
 OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
 OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
 OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
 OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
 OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o defs.o fft.o fftFunctions.o
 OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast.o defs.o fft.o fftFunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o  \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast.o defs.o fft.o fftFunctions.o
 OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast2.o defs.o fft.o fftFunctions.o
 OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			setcore.o defs.o fft.o fftFunctions.o
 OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		   Calignm1.o Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o  \
+		   Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o  \
 		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
 OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o  partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-			Calignm1.o Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
+			Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
 			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o
 OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o Calignm1.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			getlag.o defs.o fft.o fftFunctions.o
 OBJGAPFILL = mtxutl.o io.o constants.o gapfill.o defs.o
 OBJDNDFAST5 = dndfast5.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
@@ -93,11 +101,10 @@
 OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
 OBJDNDPRESCORE = dndpre2.o io.o constants.o mtxutl.o mltaln9.o defs.o
 OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
-          Calignm1.o SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
+          SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
 OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o
 
 HEADER = mltaln.h mtxutl.h
-DPHEADER = dp.h
 FFTHEADER = fft.h
 
 MANPAGES = mafft.1 mafft-homologs.1
@@ -271,34 +278,37 @@
 defs.o : defs.c 
 	$(CC) $(CFLAGS) -c defs.c
 
-Calignm1.o : Calignm1.c $(HEADER) $(DPHEADER)
-	$(CC) $(CFLAGS) -c Calignm1.c
-
-#A+++alignmm.o : SA+++alignmm.c $(HEADER) $(DPHEADER)
+#A+++alignmm.o : SA+++alignmm.c $(HEADER)
 #	$(CC) $(CFLAGS) -c SA+++alignmm.c -o A+++alignmm.o
 
-Salignmm.o : Salignmm.c $(HEADER) $(DPHEADER)
+Salignmm.o : Salignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c Salignmm.c 
 
-Halignmm.o : Halignmm.c $(HEADER) $(DPHEADER)
+Halignmm.o : Halignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c Halignmm.c 
 
-Ralignmm.o : Ralignmm.c $(HEADER) $(DPHEADER)
+Ralignmm.o : Ralignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c Ralignmm.c 
 
-Qalignmm.o : Qalignmm.c $(HEADER) $(DPHEADER)
+Qalignmm.o : Qalignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c Qalignmm.c 
 
-MSalignmm.o : MSalignmm.c $(HEADER) $(DPHEADER)
+MSalignmm.o : MSalignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c MSalignmm.c 
 
-partSalignmm.o : partSalignmm.c $(HEADER) $(DPHEADER)
+partSalignmm.o : partSalignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c partSalignmm.c  
 
-partQalignmm.o : partQalignmm.c $(HEADER) $(DPHEADER)
+partQalignmm.o : partQalignmm.c $(HEADER)
 	$(CC) $(CFLAGS) -c partQalignmm.c  
 
-Lalign11.o : Lalign11.c $(HEADER) $(DPHEADER)
+Lalign11.o : Lalign11.c $(HEADER)
 	$(CC) $(CFLAGS) -c Lalign11.c 
 
-genalign11.o : genalign11.c $(HEADER) $(DPHEADER)
+genalign11.o : genalign11.c $(HEADER)
+	$(CC) $(CFLAGS) -c genalign11.c 
+
+genGalign11.o : genGalign11.c $(HEADER)
+	$(CC) $(CFLAGS) -c genGalign11.c 
+
+suboptalign11.o : suboptalign11.c $(HEADER)

=== debian/changelog ===
mafft (6.815-1) unstable; urgency=low

  * New upstream version
  * Switch to source format 3.0 (quilt)
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Aug 2010 10:29:50 +0200

mafft (6.811-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jun 2010 13:08:06 +0200

mafft (6.717-1) unstable; urgency=low

  * New upstream version
  * Added a few informations about Upstream in debian/upstream-metadata.yaml.
  * Documented how this package is tested in debian/README.Debian.
  * Refreshed debian/copyright, using the verbatim upstream license,
    indented with a tabulation.

 -- Charles Plessy <plessy@debian.org>  Mon, 14 Dec 2009 13:02:59 +0900

mafft (6.716-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2009 12:39:12 +0100

mafft (6.713-1) unstable; urgency=low

  [ David Paleino ]
  * debian/control:
    - removed myself from Uploaders

  [ Andreas Tille ]
  * New upstream version
  * debian/control:
    - Standards-Version: 3.8.3 (no changes needed)
    - s/Debian-Med/Debian Med/
    - Recommends: blast2, lynx, ruby (instead of Suggests - we have a Ruby
      script in /usr/bin using blast and lynx.
  * debhelper 7
  * No need for debian/patches/Securisation-by-mktemp-usage.patch any more
  * debian/watch: Handle -with.*-extensions naming - we are dealing
    with the without-extensions tarball in Debian

 -- Andreas Tille <tille@debian.org>  Mon, 28 Sep 2009 09:02:30 +0200

mafft (6.240-2) unstable; urgency=high

  [ Charles Plessy ]
  * debian/control:
    - Moved the Homepage: field out from the package's description.
    - Enhances: t-coffee.
  * Updated my email address.
  * Securisation of the temorary files of mafft-homologs:
    - debian/control: build-depend on quilt.
    - debian/rules: modified to use quilt.
    - debian/README.source: signals that the package uses quilt.
    - debian/patches: added a patch to use non-guessable temporary files
      (Closes: #496366). Thanks to Dmitry E. Oboukhov for finding the bug, Thijs
      Kinkhorst for preliminary, Kazutaka Katoh for the final implementation,
      and Michael Schutte for the final review.
    - debian/mafft-homologs.1*, debian/README.Debian: document that the
      program is patched.

  [ David Paleino ]
  * debian/mafft.1, debian/mafft-homologs.1 added - manpages built statically.
  * debian/control:
    - B-D updated (see above)
    - added myself to Uploaders
    - moved XS-Vcs-* fields to Vcs-*
    - Updated to Standards-Version 3.7.3 (no changes needed)
  * debian/rules:
    - reflecting static build of manpages
    - minor changes

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Aug 2008 23:30:20 +0900

mafft (6.240-1) unstable; urgency=low

  * Initial release (Closes: #409640)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sat,  9 Jun 2007 12:06:43 +0900

=== debian/control ===
Source: mafft
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7.1), quilt
Standards-Version: 3.9.1
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/mafft/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/mafft/trunk/
Homepage: http://align.bmr.kyushu-u.ac.jp/mafft/software/

Package: mafft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: blast2, lynx, ruby
Enhances: t-coffee
Description: Multiple alignment program for amino acid or nucleotide sequences
 MAFFT is a multiple sequence alignment program which offers three
 accuracy-oriented methods:
  * L-INS-i (probably most accurate; recommended for <200 sequences;
    iterative refinement method incorporating local pairwise alignment
    information),
  * G-INS-i (suitable for sequences of similar lengths; recommended for
    <200 sequences; iterative refinement method incorporating global
    pairwise alignment information),
  * E-INS-i (suitable for sequences containing large unalignable regions;
    recommended for <200 sequences),
 and five speed-oriented methods:
  * FFT-NS-i (iterative refinement method; two cycles only),
  * FFT-NS-i (iterative refinement method; max. 1000 iterations),
  * FFT-NS-2 (fast; progressive method),
  * FFT-NS-1 (very fast; recommended for >2000 sequences; progressive
    method with a rough guide tree),
  * NW-NS-PartTree-1 (recommended for ∼50,000 sequences; progressive
    method with the PartTree algorithm).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: patch build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C core PREFIX=/usr/lib/mafft
	touch $@

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft

test: build-stamp
	-$(MAFFT) 				test/sample | diff test/sample.fftns2 -
	-$(MAFFT) --maxiterate 100 		test/sample | diff test/sample.fftnsi -
	-$(MAFFT) --globalpair 			test/sample | diff test/sample.gins1 -
	-$(MAFFT) --globalpair --maxiterate 100	test/sample | diff test/sample.ginsi -
	-$(MAFFT) --localpair			test/sample | diff test/sample.lins1 -
	-$(MAFFT) --localpair --maxiterate 100	test/sample | diff test/sample.linsi -

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -f core/Makefile ] || $(MAKE) -C core clean
	rm -rf binaries/* scripts/*
	dh_clean build-stamp

install: build-stamp test
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 install

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=uversionmangle=s/-with-extensions-src//,dversionmangle=s/([\d.]+)/$1-without-extensions/ \
 http://align.bmr.kyushu-u.ac.jp/mafft/software/source.html mafft-(.*)-src\.tgz

## mafft 6.833

=== core/Makefile ===
--- 
+++ 
@@ -67,10 +67,10 @@
 			Lalign11.o defs.o fft.o fftFunctions.o
 OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
-			disttbfast.o defs.o fft.o fftFunctions.o
+			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
-			tbfast.o defs.o fft.o fftFunctions.o
+			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partQalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Ralignmm.o Qalignmm.o Halignmm.o MSalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast2.o defs.o fft.o fftFunctions.o
@@ -311,4 +311,3 @@
 genGalign11.o : genGalign11.c $(HEADER)
 	$(CC) $(CFLAGS) -c genGalign11.c 
 
-suboptalign11.o : suboptalign11.c $(HEADER)

=== debian/changelog ===
mafft (6.833-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2010 13:51:28 +0100
